def create_config(product_version,
                  anuga_folder,
                  anuga_viewer_folder,
                  python,
                  numpy,
                  scientific_python,
                  matplotlib,
                  netcdf,
                  mingw):
        """
        Short description:
        """
        
        file = open('config.nsh', 'w')

        file.write('''!ifndef __CONFIG_NSH
!define __CONFIG_NSH
; custom config
; definitions should be quite self-explaining

; global definitions
!define ProductName "ANUGA" 
''')        
        file.write('!define ProductVersion "' + product_version + '"\n')
        file.write('!define Company "Geoscience Australia"\n')
        file.write('!define Website "https://datamining.anu.edu.au/anuga"\n')
        file.write('!define ExecutableName "AnugaSetup-' + product_version + '.exe"\n\n')
        file.write('''; distribution file sources (for compiling the installer)
!define WelcomeFinishBitmap "wf.bmp"
!define HeaderBitmap "header.bmp"
!define InstallerIcon "installer.ico"
!define FileSource "files"

''')    
        file.write('!define AnugaFolder "' + anuga_folder + '"\n')
        file.write('!define AnugaViewerFolder "' + anuga_viewer_folder + '"\n')
        file.write('!define PythonInst "' + python + '"\n')
        file.write('!define NumpyInst "' + numpy + '"\n')
        file.write('!define ScientificInst "' + scientific_python + '"\n')
        file.write('!define MatplotlibInst "' + matplotlib + '"\n')
        file.write('!define NetCDFFolder "' + netcdf + '"\n')
        file.write('!define MinGWInst "' + mingw + '"\n')
        file.write('!define MVCRPInst "vcredist_x86.exe"\n\n')
        file.write('''; registry and advanced information for the installation routine
!define AnugaViewerDefaultFolder "$PROGRAMFILES\Anuga Viewer"
!define NetCDFDefaultFolder "$COMMONFILES\NetCDF"

!define ViewerExtension ".sww"
!define ViewerExtensionAlias "Anuga.Animation"

!define UninstallerRegistryKey "Software\Microsoft\Windows\CurrentVersion\Uninstall\${ProductName}"
!define UninstallerExecutableName "Uninst_Anuga.exe"

!endif''')

        file.close()


